include_guard()

find_program(MOLD_PROGRAM mold)
if (MOLD_PROGRAM)
    set(CMAKE_LINKER_TYPE MOLD)
    message(STATUS "mold linker found: ${MOLD_PROGRAM}")
else ()
    message(WARNING "mold linker not found")
endif ()